#yocto #python #yocto #python


valentin.duee@...
 

Hi, 

if I try to add a layer like this: 

bitbake-layers add-layer ../layers/meta-openembedded/meta-oe
(also for other layers)
I get following error:

The following required tools (as specified by HOSTTOOLS) appear to be unavailable in PATH, please install them in order to proceed:
  python

But I do have installed python in all possible versions. I don't know what to do currently and would appreciate your help a lot. Thanks in Advance.

BR


Khem Raj
 

On 6/26/20 4:15 AM, valentin.duee@weidmueller.com wrote:
Hi,
if I try to add a layer like this:
bitbake-layers add-layer ../layers/meta-openembedded/meta-oe
(also for other layers)
I get following error:
The following required tools (as specified by HOSTTOOLS) appear to be unavailable in PATH, please install them in order to proceed:
  python
But I do have installed python in all possible versions. I don't know what to do currently and would appreciate your help a lot. Thanks in Advance.
which release of yocto are you on ? secondly which OS is on the host?
you might want to install python2 perhaps on it.

BR